| ovrnadistance

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Calculate distances between RNA secondary structures

## Description

This is a port of the Vienna RNA package program RNAdistance.

It reads RNA secondary structures and calculates one or more measures for their dissimilarity, based on tree or string editing (alignment). In addition it calculates a "base pair distance" given by the number of base pairs present in one structure, but not the other. For structures of different length base pair distance is not recommended.

## Algorithm

RNAdistance accepts structures in bracket format, where matching brackets symbolize base pairs and unpaired bases are represented by a dot ".", or coarse grained representations where hairpins, interior loops, bulges, multiloops, stacks and external bases are represented by (H), (I), (B), (M), (S), and (E), respectively. These can be optionally weighted. Full structures can be represented in the same fashion using the identifiers (U) and (P) for unpaired and paired bases, respectively.

See the original documentation for the Vienna RNA package http://www.tbi.univie.ac.at/~ivo/RNA/

The program will continue to read new structures until a line consisting of the single character @ or an end of file condition is encountered. Input lines neither containing a valid structure nor starting with > are ignored.

## Usage

Here is a sample session with ovrnadistance

    % ovrnadistance -distance 'f,h' -doalignment
    Calculate distances between RNA secondary structures
    Vienna RNA structures file: rna4.fold
    Vienna RNAfold output file [rna4.ovrnadistance]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    Calculate distances between RNA secondary structures
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-structuresfile]    infile     Vienna RNA structures file
      [-outfile]           outfile    [*.ovrnadistance] Vienna RNAfold output file

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -distance           menu       [f] Distance types to calculate (Values: f
                                      (Full (tree)); h (HIT (tree)); w (Weighted
                                      coarse (tree)); c (Coarse (tree)); F (Full
                                      (string)); H (HIT (string)); W (Weighted
                                      coarse (string)); C (Coarse (string)); P
                                      (Base pair distance))
       -compare            menu       [p] Distance types to calculate (Values: p
                                      (Pairwise); m (Distance matrix between all
                                      structures); f (Compare all structures to
                                      the first one); c (Compare continuously))
       -schapiro           boolean    [N] Use cost matrix for comparing coarse
                                      structures
       -doalignment        boolean    [N] Alignment showing matching substructures

       Associated qualifiers:

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-structuresfile] (Parameter 1) | infile | Vienna RNA structures file | Input file | Required
[-outfile] (Parameter 2) | outfile | Vienna RNAfold output file | Output file | <*>.ovrnadistance
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
-distance | list | Distance types to calculate |
f | (Full (tree))
h | (HIT (tree))
w | (Weighted coarse (tree))
c | (Coarse (tree))
F | (Full (string))
H | (HIT (string))
W | (Weighted coarse (string))
C | (Coarse (string))
P | (Base pair distance)
| f
-compare | list | Distance types to calculate |
p | (Pairwise)
m | (Distance matrix between all structures)
f | (Compare all structures to the first one)
c | (Compare continuously)
| p
-schapiro | boolean | Use cost matrix for comparing coarse structures | Boolean value Yes/No | No
-doalignment | boolean | Alignment showing matching substructures | Boolean value Yes/No | No
Associated qualifiers
"-outfile" associated outfile qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

ovrnadistance reads any normal sequence USAs.

### Input files for usage example

### File: rna4.fold

    ((.(((((((.....))))))).))....((..((((.....)))).)).
    .....((((..((((..........)))).)))).....(((....))).

## Output file format

ovrnadistance outputs a graph to the specified graphics device. outputs a report format file. The default format is ...

### Output files for usage example

### File: rna4.ovrnadistance

    f: 26
    (_____(.(((__((((....._____))))_))).))....((..((((.....)))).)).
    _.....(_(((..((((..........)))).)))_)_....__.__(((...._)))_.___
    h: 32
    (____((U1)((U5_)P7)(U1)P2)(U4)((U2)((U5)P4)(U1)P2)(U1)R1)
    ((U5)((U2)((U10)P4)(U1)P4)(U5)_____((U4)P3)(U1)_______R1)

## Data files

For details of Vienna RNA file formats, see the original documentation http://www.tbi.univie.ac.at/~ivo/RNA/

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
banana | Plot bending and curvature data for B-DNA
btwisted | Calculate the twisting in a B-DNA sequence
einverted | Find inverted repeats in nucleotide sequences
ovrnaalifold | Calculate secondary structures for a set of aligned RNAs
ovrnaalifoldpf | Calculate secondary structures for a set of aligned RNAs (partition)
ovrnacofold | Calculate secondary structures of RNA dimers
ovrnacofoldconc | Calculate secondary structures of RNA dimers (concentrations)
ovrnacofoldpf | Calculate secondary structures of RNA dimers (partitioning)
ovrnaduplex | Predict RNA duplex (hybridization) sites and structure
ovrnaeval | Calculate energy of RNA sequences with a given secondary structure
ovrnaevalpair | Calculate energy of RNA sequences on given secondary structure
ovrnafold | Calculate min. energy RNA structure / pair probabilities (partition)
ovrnafoldpf | Calculate min. energy RNA structure / pair probabilities
ovrnaheat | Calculate specific heat of RNA melting
ovrnainverse | Find RNA sequences with a given secondary structure
ovrnalfold | Calculate locally stable secondary structures of RNAs
ovrnaplot | Draw RNA secondary structures
ovrnasubopt | Calculate suboptimal secondary structure of RNA
sirna | Find siRNA duplexes in mRNA
vrna2dfold | Calculate RNA structures and samples of k,l neighbourhoods
vrnaaliduplex | RNA duplex calculation for two sequence alignments
vrnaalifold | Calculate secondary structures for a set of aligned RNAs
vrnaalifoldpf | Calculate secondary structures for a set of aligned RNAs (partition)
vrnacofold | Calculate secondary structures of RNA dimers
vrnacofoldconc | Calculate secondary structures of RNA dimers (concentrations)
vrnacofoldpf | Calculate secondary structures of RNA dimers (partitioning)
vrnadistance | Calculate distances between RNA secondary structures
vrnaduplex | Predict RNA duplex (hybridization) sites and structure
vrnaeval | Calculate energy of RNA sequences with a given secondary structure
vrnaevalpair | Calculate energy of RNA sequences on given secondary structure
vrnafold | Calculate min. energy RNA secondary structures and pair probabilities
vrnafoldpf | Calculate min. energy RNA structures / pair probabilities (partition)
vrnaheat | Calculate specific heat of RNA melting
vrnainverse | Find RNA sequences with a given secondary structure
vrnalalifoldpf | Calculate secondary structures for a set of aligned RNAs (partition)
vrnalfold | Calculate locally stable secondary structures of RNAs
vrnalfoldz | Calculate locally stable secondary structures of RNAs plus zscore
vrnapkplex | Calculate RNA structures plus pseudoknots
vrnaplfold | Compute avg. pair probabilities for local base pairs in RNA sequences
vrnaplot | Draw RNA secondary structures
vrnasubopt | Calculate suboptimal secondary structures of RNAs

## Author(s)

This program is an EMBOSS conversion of a program written by Ivo Hofacker as part of his VIENNA package.

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

Converted (October 2005) by Alan Bleasby

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments